import axios from "axios";

const URL_BASE = 'http://localhost:5555';

//Eventos

export function getAllEventos() {
  const options = {
    method: 'GET',
    url: URL_BASE + '/eventos'
  };
  
  return axios.request(options).then(function (response) {
    return response.data;
  }).catch(function (error) {
    throw error;
  });
}

export function getEvento(eventoID) {
  const options = {
    method: 'GET',
    url: URL_BASE + `/eventos/${eventoID}`
  };
  
  return axios.request(options).then(function (response) {
    return response.data;
  }).catch(function (error) {
    throw error;
  });
}

export function endEvento(eventoID) {
  const options = {
    method: 'GET',
    url: URL_BASE + `/eventos/fin_evento/${eventoID}`
  };
  
  return axios.request(options).then(function (response) {
    console.log(response.data)
    return response.data;
  }).catch(function (error) {
    throw error;
  });
}

export function addEvento(eventoNuevo) {
  const options = {
    method: 'POST',
    url: URL_BASE + `/eventos`,
    data: {lugar: eventoNuevo.lugar, fecha: eventoNuevo.fecha, empleados: eventoNuevo.empleados, horas: eventoNuevo.horas, paga_empleados: eventoNuevo.paga_empleados}
  };
  
  return axios.request(options).then(function (response) {
    return response.data;
  }).catch(function (error) {
    throw error;
  });
}

export function eliminarEvento(eventoID) {
  const options = {
    method: 'DELETE',
    url: URL_BASE + `/eventos/${eventoID}`,
  };
  
  return axios.request(options).then(function (response) {
    return response.data;
  }).catch(function (error) {
    throw error;
  });
}

//Bebidas X Evento

export function getBebidasEvento(eventoID) {
  const options = {
    method: 'GET',
    url: URL_BASE + `/bebidasXevento/${eventoID}`,
  };
  
  return axios.request(options).then(function (response) {
    console.log(response.data);
    return response.data;
  }).catch(function (error) {
    throw error;
  });
}

export function vuelveBebida(eventoID, bebidaID, cantidad) {
  const options = {
    method: 'PUT',
    url: URL_BASE + `/bebidasXevento/${eventoID}`,
    params: {idBebida: bebidaID, cantidadRetirada: cantidad}
  };
  
  return axios.request(options).then(function (response) {
    console.log(response.data);
    return response.data;
  }).catch(function (error) {
    throw error;
  });
}

export async function agregarBebidaEvento(eventoID, bebidaID, cantidad) {
  const options = {
    method: 'POST',
    url: URL_BASE + `/bebidasXevento/${eventoID}`,
    params: {idBebida: bebidaID, cantidadAgregada: cantidad}
  };
  
  return axios.request(options).then(function (response) {
    console.log(response.data);
    return response.data;
  }).catch(function (error) {
    throw error;
  });
}
