from datetime import date
from typing import List
from pydantic import BaseModel

#Bebidas

class BebidaBase(BaseModel):
    id: int
    nombre: str
    precio: int
    cantidad: int
    
class ListaBebidas(BaseModel):
    bebidas: List[BebidaBase]

class BebidaSinId(BaseModel):
    nombre: str
    precio: int
    cantidad: int
  
    
#Eventos
    
class EventoBase(BaseModel):
    id: int
    lugar: str
    fecha: date
    empleados: int
    horas: float
    paga_empleados: int
    
class ListaEventos(BaseModel):
    eventos: List[EventoBase]

class EventoSinId(BaseModel):
    lugar: str
    fecha: date
    empleados: int
    horas: float
    paga_empleados: int
    

##BebidasXeventos

class BebidaXEventoBase(BaseModel):
    idBebida: int
    nombreBebida: str
    cantidad: int
    
class ListaBebidasXEvento(BaseModel):
    bebidasXevento: List[BebidaXEventoBase]
    

##InfoEvento

class InfoEventoTerminado(BaseModel):
    ingresos_totales: float
    paga_empleados: float
    ingresos_bruto: float
    