//import React from 'react'
import ReactDOM from 'react-dom/client'
import { Routes, BrowserRouter, Route, Navigate } from 'react-router-dom'
import App from './App.jsx'
import 'bootstrap/dist/css/bootstrap.css'
import AbmBebidas from './components/deposito/abmBebidas.jsx'
import AddBebida from './components/deposito/addBebida.jsx'
import AbmEventos from './components/eventos/abmEventos.jsx'
import AddEvento from './components/eventos/addEvento.jsx'
import InfoEvento from './components/eventos/infoEvento.jsx'
import AbmEventosFinalizados from './components/eventos/abmEventosFinalizados.jsx'


ReactDOM.createRoot(document.getElementById('root')).render(
  <BrowserRouter>
    <Routes>
      <Route path='/' element={<App />}>
        <Route index element={<Navigate to="deposito" />} />
        <Route path='deposito' element={<AbmBebidas />}></Route>
        <Route path='deposito/agregar-bebida' element={<AddBebida />}></Route>
        <Route path='eventos' element={<AbmEventos />}></Route>
        <Route path='eventos/agregar-evento' element={<AddEvento />}></Route>
        <Route path='eventos/info/:eventoID' element={<InfoEvento />}></Route>
        <Route path='eventos_finalizados' element={<AbmEventosFinalizados />}></Route>
      </Route>
    </Routes>
  </BrowserRouter>
)
